# Function decodeBasic

- decodeBasic(dataType, pointer, info, options?): Generator<DecoderRequest, Result, Uint8Array | null>

- #### Parameters

  - ##### dataType: Type

  - ##### pointer: DataPointer

  - ##### info: EvmInfo

  - ##### options: DecoderOptions = {}

  #### Returns Generator<DecoderRequest, Result, Uint8Array | null>

  - Defined in codec/lib/basic/decode/index.ts:20

Generated using TypeDoc